Subject: bug#48657: Defvar delimiter for dired-copy-filename-as-kill

From: Stefan Kangas <[email-masked]>
Date: Sun, 24 Oct 2021 05:27:51 -0700

Eli Zaretskii <[email-masked]> writes:

> I don't see why.  A number of GNU programs use the null byte as a
> reliable delimiter in similar situations (Grep, xargs, etc.), so why
> shouldn't we do the same?

They usually only do so with a special command line argument (e.g. xargs).

> Why using a space when we know it will sometimes fail?  The null byte
> will never fail, and Emacs is perfectly capable of handling strings
> with embedded null bytes.

This is a user facing command, so I think users might run into some
issues with it.  For example, it might just be perceived as ugly.
In the "normal" case, when you deal with file names without spaces in
them, it also just seems more natural to use spaces.

Perhaps we could just detect if any of filenames have spaces in them
and use null byte delimiters if they do?